@import "defines";
@import "desktop-mode";
@import "mobile-mode";

.navbar-logo {
    text-align: center;
    float: left;
    height: 0;
    margin-top: 9px;
}

body{
    direction: rtl;

    > .dim{
        display: none;
    }
    
    > @{selector_header1}, > @{selector_header2} {
        .toggle-sidebar{
            display: none;
        }
    }
    
    > @{selector_main_container1}, > @{selector_main_container2} {
        display: block;
    }
    
    > @{selector_aside1}, > @{selector_aside2} {
         display: none;
    }
    > @{selector_section1}, > @{selector_section2}{
        display: block;
    }
    > @{selector_footer1}, > @{selector_footer2} {
        .m-desktop-mode-footer();
    }
    
    > @{selector_header1}, > @{selector_header2} {
    }
}

// desktop mode
body.has-sidebar{
    > @{selector_header1}, > @{selector_header2} {
        .m-desktop-mode-header();
    }
    
    > @{selector_main_container1}, > @{selector_main_container2} {
        .m-desktop-mode-div();
    }
    
    > @{selector_aside1}, > @{selector_aside2} {
        width: 220px;
        .m-desktop-mode-main-section();
    }
    > @{selector_section1}, > @{selector_section2}{
            .m-desktop-mode-main-section();
    }
    > @{selector_footer1}, > @{selector_footer2} {
        .m-desktop-mode-footer();
    }
}


@media screen {
    @media @only-xs {
        body.drawer-xs.has-sidebar{
            .m-body-drawer();
        }
        body.drawer-xs.sidebar-open{
            .m-body-drawer-open();
        }
    }

    @media @only-sm {
        body.drawer-sm.has-sidebar{
            .m-body-drawer();
        }
        body.drawer-sm.sidebar-open{
            .m-body-drawer-open();
        }
    }

    @media @only-md {
        body.drawer-md.has-sidebar{
            .m-body-drawer();
        }
        body.drawer-md.sidebar-open{
            .m-body-drawer-open();
        }
    }

    @media @only-lg {
        body.drawer-lg.has-sidebar{
            .m-body-drawer();
        }
        body.drawer-lg.sidebar-open{
            .m-body-drawer-open();
        }
    }
}